function string = ihb_FileFolderName(whatFile)
%----------------------------------------------------------------------------------
% FORMAT ihb_FileFolderName
%----------------------------------------------------------------------------------
% Get full paths or file names for fixed files
% whatFile:
% 'dfl' - defaults .mat file name
% 'ima' - images folder full path
% 'hlp' - help .htm full file name
% 'ihb' - IHB image full file name
%----------------------------------------------------------------------------------
%----------------------------------------------------------------------------------
%   28.04.01    Sergey Pakhomov
%----------------------------------------------------------------------------------
fullPath = which('ihb_TalSpace.m');
ihbdfl_install_dir = fileparts(fullPath);
switch whatFile
case 'dfl'
    string = fullfile(ihbdfl_install_dir, 'ihb_TalSpaceDfl.mat');
case 'ima'
    string = fullfile(ihbdfl_install_dir, 'Images');
case 'hlp'
    string = fullfile(ihbdfl_install_dir, 'Help', 'TalSpace.htm');
case 'ihb'
    string = fullfile(ihbdfl_install_dir, 'Images', 'Head.jpg');
end
