function ihb_MotionTalSpaceCB
%==================================================================================
% Callback function for mouse move inside main figure
%----------------------------------------------------------------------------------
%   11.04.01    Sergey Pakhomov
%==================================================================================
%----------------------------------------------------------------------------------
% get default values
%----------------------------------------------------------------------------------
dflFileName = ihb_FileFolderName('dfl');
load(dflFileName, 'ihbdfl_main_width', 'ihbdfl_main_height');
load(dflFileName, 'ihbdfl_main_gap');
load(dflFileName, 'ihbdfl_main_x', 'ihbdfl_main_y', 'ihbdfl_main_z');
load(dflFileName, 'ihbdfl_xLimD', 'ihbdfl_yLimD', 'ihbdfl_zLimD');
%----------------------------------------------------------------------------------
% get current point coordinates in normalized units
%----------------------------------------------------------------------------------
hFigMain = findobj('Type', 'figure', 'Tag', 'ihb_TalSpaceMain_fig');
set(hFigMain, 'Units', 'normalized');
pt = get(hFigMain, 'CurrentPoint');
set(hFigMain, 'units', 'pixels');
%----------------------------------------------------------------------------------
% some initialization
%----------------------------------------------------------------------------------
str = 'Out of image';
xRng = ihbdfl_xLimD(2)- ihbdfl_xLimD(1);
yRng = ihbdfl_yLimD(2)- ihbdfl_yLimD(1);
zRng = ihbdfl_zLimD(2)- ihbdfl_zLimD(1);
%----------------------------------------------------------------------------------
% Axial slice
%----------------------------------------------------------------------------------
hAx = getappdata(hFigMain, 'hAxAxial');
ptRel = inSide(pt, get(hAx, 'Position'));
if ~isempty(ptRel)
    x = round(ihbdfl_xLimD(1) + xRng*ptRel(1)*ihbdfl_main_width/ihbdfl_main_x);
    y = round(ihbdfl_yLimD(1) + yRng*ptRel(2)*ihbdfl_main_height/ihbdfl_main_y);
    z = getappdata(hAx, 'sliceDist');
    str = sprintf('%d %d %d', x, y, z);
end
%----------------------------------------------------------------------------------
% Frontal slice
%----------------------------------------------------------------------------------
hAx = getappdata(hFigMain, 'hAxFront');
ptRel = inSide(pt, get(hAx, 'Position'));
if ~isempty(ptRel)
    x = round(ihbdfl_xLimD(1) + xRng*ptRel(1)*ihbdfl_main_width/ihbdfl_main_x);
    y = getappdata(hAx, 'sliceDist');
    z = round(ihbdfl_zLimD(1) + zRng*ptRel(2)*ihbdfl_main_height/ihbdfl_main_z);
    str = sprintf('%d %d %d', x, y, z);
end
%----------------------------------------------------------------------------------
% Left saggital slice
%----------------------------------------------------------------------------------
hAx = getappdata(hFigMain, 'hAxSagL');
ptRel = inSide(pt, get(hAx, 'Position'));
if ~isempty(ptRel)
    x = getappdata(hAx, 'sliceDist');
    y = round(ihbdfl_yLimD(2) - yRng*ptRel(1)*ihbdfl_main_width/ihbdfl_main_y);
    z = round(ihbdfl_zLimD(1) + zRng*ptRel(2)*ihbdfl_main_height/ihbdfl_main_z);
    str = sprintf('%d %d %d', x, y, z);
end
%----------------------------------------------------------------------------------
% Right saggital slice
%----------------------------------------------------------------------------------
hAx = getappdata(hFigMain, 'hAxSagR');
ptRel = inSide(pt, get(hAx, 'Position'));
if ~isempty(ptRel)
    x = getappdata(hAx, 'sliceDist');
    y = round(ihbdfl_yLimD(1) + yRng*ptRel(1)*ihbdfl_main_width/ihbdfl_main_y);
    z = round(ihbdfl_zLimD(1) + zRng*ptRel(2)*ihbdfl_main_height/ihbdfl_main_z);
    str = sprintf('%d %d %d', x, y, z);
end
%----------------------------------------------------------------------------------
% Output coordinates
%----------------------------------------------------------------------------------
hStatic = findobj('Type', 'uicontrol', 'Tag', 'ihb_CursorCoord');
set(hStatic, 'String', str);
%----------------------------------------------------------------------------------
% function to check does pt inside rectangle pos
%----------------------------------------------------------------------------------
function ptRel = inSide(pt, pos)
ptRel = pt - pos(1:2);
if ptRel(1)<0 | ptRel(1)>pos(3) | ptRel(2)<0 | ptRel(2)>pos(4)
    ptRel = [];
end
