function [clustersSelected, n] = ihb_SelectClusters(clusters, strMultSingle)
%----------------------------------------------------------------------------------
% FORMAT [clustersSelected, n] = ihb_selectClusters(clusters)
% clusters          - array of clusters structs (see ihb_GetClusters)
% strMultSingle     - 'multiple' or 'single'
% clustersSelected  - array of selected clusters structs (see ihb_getClusters)
%                     empty if no clusters were selected
% n                 - array of indexes of selected clusters
%----------------------------------------------------------------------------------
% Select subset of clusters
%===============================================================================
%   01.03.01    Sergey Pakhomov
%===============================================================================
clustersSelected = [];
n = [];
%-------------------------------------------------------------------------------
% Check is input arrray empty
%-------------------------------------------------------------------------------
if isempty(clusters)
    return;
end
%-------------------------------------------------------------------------------
% Select clusters dialog
%-------------------------------------------------------------------------------
[n,ok] = listdlg(...
    'Name', 'Select clusters',...
    'SelectionMode',strMultSingle,...
    'ListString',{clusters(:).name});
if ok == 0 
    msgbox('No clusters selected','Warning','warn');   
    return; 
end;
%-------------------------------------------------------------------------------
clustersSelected = clusters(n);